Package org.apache.tapestry5.internal.services

## Class ComponentClassCacheImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ComponentClassCacheImpl

- All Implemented Interfaces:
    `ComponentClassCache`

      public class ComponentClassCacheImpl
      extends Object
      implements ComponentClassCache

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentClassCacheImpl​(PlasticProxyFactory plasticFactory, TypeCoercer typeCoercer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `defaultValueForType​(String className)` | Computes the default value for a field of the given type, returns the appropriate default value.
    `Class` | `forName​(String className)` | Gets the Class instance for the given fully-qualified class name.
    `void` | `setupInvalidation​(InvalidationEventHub hub)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentClassCacheImpl

          public ComponentClassCacheImpl​(@ComponentLayer
                                         PlasticProxyFactory plasticFactory,
                                         TypeCoercer typeCoercer)

  - ### Method Detail

    - #### setupInvalidation

          @PostInjection
          public void setupInvalidation​(@ComponentClasses
                                        InvalidationEventHub hub)

    - #### defaultValueForType

          public Object defaultValueForType​(String className)

      Description copied from interface: `ComponentClassCache`
      Computes the default value for a field of the given type, returns the appropriate default value. This is typically null, but may be false (for a primitive boolean) or some version of 0 (for a primitive numeric field). Wrapper types will still be null.
      Specified by:
        `defaultValueForType` in interface `ComponentClassCache`
      Parameters:
        `className` - type of field

    - #### forName

          public Class forName​(String className)

      Description copied from interface: `ComponentClassCache`
      Gets the Class instance for the given fully-qualified class name.
      Specified by:
        `forName` in interface `ComponentClassCache`
      Parameters:
        `className` - fully qualified class name, or a primitive type name, or an array name (in source format)
      Returns:
        the class instance